<?php

namespace App\Filament\Admin\Resources\Users\RelationManagers;

use App\Filament\Admin\Resources\CreditCoupons\CreditCouponResource;
use Filament\Actions\CreateAction;
use Filament\Resources\RelationManagers\RelationManager;
use Filament\Tables\Table;

class CreditCouponsRelationManager extends RelationManager
{
    protected static string $relationship = 'creditCoupons';

    protected static ?string $relatedResource = CreditCouponResource::class;

    public function table(Table $table): Table
    {
        return $table
            ->headerActions([
                CreateAction::make(),
            ]);
    }
}
